Timer (Colt 1.2.0 - API Specification)
Keywords: cern.colt.Timer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cern.colt
Class Timer

    java.lang.Object
      cern.colt.PersistentObject
          cern.colt.Timer

All Implemented Interfaces:
  Cloneable, Serializable

public class Timer
extends PersistentObject

A handy stopwatch for benchmarking. Like a real stop watch used on ancient running tracks you can start the watch, stop it, start it again, stop it again, display the elapsed time and reset the watch.

See Also:
  Serialized Form

Field Summary

Fields inherited from class cern.colt.PersistentObject
`serialVersionUID`

Constructor Summary
`Timer()` Constructs a new timer, initially not started.

Method Summary
`Timer` | `display()` Prints the elapsed time on System.out
`float` | `elapsedTime()` Same as `seconds()`.
`long` | `millis()` Returns the elapsed time in milli seconds; does not stop the timer, if started.
`Timer` | `minus(Timer other)` `T = this - other`; Constructs and returns a new timer which is the difference of the receiver and the other timer.
`float` | `minutes()` Returns the elapsed time in minutes; does not stop the timer, if started.
`Timer` | `plus(Timer other)` `T = this + other`; Constructs and returns a new timer which is the sum of the receiver and the other timer.
`Timer` | `reset()` Resets the timer.
`float` | `seconds()` Returns the elapsed time in seconds; does not stop the timer, if started.
`Timer` | `start()` Starts the timer.
`Timer` | `stop()` Stops the timer.
`static void` | `test(int size)` Shows how to use a timer in convenient ways.
`String` | `toString()` Returns a String representation of the receiver.

Methods inherited from class cern.colt.PersistentObject
`clone`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Timer

    public Timer()

  Constructs a new timer, initially not started. Use start() to start the timer.

Method Detail

### display

    public Timer display()

  Prints the elapsed time on System.out

  Returns:
    `this` (for convenience only).

### elapsedTime

    public float elapsedTime()

  Same as `seconds()`.

### millis

    public long millis()

  Returns the elapsed time in milli seconds; does not stop the timer, if started.

### minus

    public Timer minus(Timer other)

  `T = this - other`; Constructs and returns a new timer which is the difference of the receiver and the other timer. The new timer is not started.

  Parameters:
    `other` - the timer to subtract.
  Returns:
    a new timer.

### minutes

    public float minutes()

  Returns the elapsed time in minutes; does not stop the timer, if started.

### plus

    public Timer plus(Timer other)

  `T = this + other`; Constructs and returns a new timer which is the sum of the receiver and the other timer. The new timer is not started.

  Parameters:
    `other` - the timer to add.
  Returns:
    a new timer.

### reset

    public Timer reset()

  Resets the timer.

  Returns:
    `this` (for convenience only).

### seconds

    public float seconds()

  Returns the elapsed time in seconds; does not stop the timer, if started.

### start

    public Timer start()

  Starts the timer.

  Returns:
    `this` (for convenience only).

### stop

    public Timer stop()

  Stops the timer. You can start it again later, if necessary.

  Returns:
    `this` (for convenience only).

### test

    public static void test(int size)

  Shows how to use a timer in convenient ways.

### toString

    public String toString()

  Returns a String representation of the receiver.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jump to the Colt Homepage